LIGHTNING-LISTPAYME(7)

NAME
lightning-listpayments - Command for querying payment status

SYNOPSIS

listpayments

DESCRIPTION

The listpayments RPC command gets the status of all pay and sendpay commands.

RETURN VALUE

On success, an array of objects is returned. Each object contains an id (unique internal value assigned at creation), payment_hash, destination, msatoshi and timestamp (UNIX timestamp indicating when it was initiated), and a status which is one of pending (in progress), complete (successfully paid) or failed.

AUTHOR

Christian Decker <decker.christian@gmail.com> is mainly responsible.

SEE ALSO

lightning-pay(7), lightning-sendpay(7), lightning-listinvoice(7).

RESOURCES

Main web site: https://github.com/ElementsProject/lightning